## About

Provides standards-based support for the serialization of JavaScript Object Notation (JSON).

**The System.Json namespace was designed for Silverlight, which is no longer supported. For processing JSON, we recommend using APIs in the System.Text.Json namespace instead.**

## Main Types

The main types provided by this library are:

- System.Json.JsonArray
- System.Json.JsonObject
- System.Json.JsonPrimitive
- System.Json.JsonValue

## Additional Documentation

- API reference for System.Json can be found in: https://learn.microsoft.com/en-us/dotnet/api/system.json
- API reference for System.Text.Json can be found in: https://learn.microsoft.com/en-us/dotnet/api/system.text.json
- [JSON serialization and deserialization (marshalling and unmarshalling) in .NET - overview](https://learn.microsoft.com/en-us/dotnet/standard/serialization/system-text-json/overview)
- [System.Text.Json in .NET Blog](https://devblogs.microsoft.com/dotnet/tag/system-text-json/)

## Related Packages

- https://www.nuget.org/packages/System.Text.Json

## License

System.Json is released as open source under the [MIT license](https://licenses.nuget.org/MIT).